# Class CoordSpec

java.lang.Object
uk.ac.starlink.ttools.plot2.task.CoordSpec

public class CoordSpec extends Object
Characterises a coordinate specification in sufficient detail to recreate it as part of a STILTS plotting command.

Since:
  8 May 2020
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`CoordSpec(String inputName, String valueExpr, uk.ac.starlink.table.DomainMapper dm, uk.ac.starlink.table.DomainMapper dfltDm)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.table.DomainMapper`
`getDefaultDomainMapper()`
Returns the domain mapper that would be used if none was given, or null if the quantity is not domain-sensitive or if no obvious default suggests itself.
`uk.ac.starlink.table.DomainMapper`
`getDomainMapper()`
Returns the domain mapper used to interpret the value, or null if the quantity is not domain-sensitive.
`String`
`getInputName()`
Returns the name of the input quantity.
`String`
`getValueExpr()`
Returns the expression giving the quantity's value, to be evaluated in the context of the host table.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CoordSpec

public CoordSpec(String inputName, String valueExpr, uk.ac.starlink.table.DomainMapper dm, uk.ac.starlink.table.DomainMapper dfltDm)
Constructor.

Parameters:
  `inputName` - name of input quantity (coordinate name)
  `valueExpr` - expression giving the quantity's value, to be evaluated in the context of the host table
  `dm` - domain mapper used to interpret the input value; null if the quantity is not domain-sensitive
  `dfltDm` - domain mapper that would be used if none was given; null if the quantity is not domain-sensitive or if no obvious default suggests itself

## Method Details

### getInputName

public String getInputName()
Returns the name of the input quantity.

Returns:
  coordinate name

### getValueExpr

public String getValueExpr()
Returns the expression giving the quantity's value, to be evaluated in the context of the host table.

Returns:
  value expression (column name or JEL expression)

### getDomainMapper

public uk.ac.starlink.table.DomainMapper getDomainMapper()
Returns the domain mapper used to interpret the value, or null if the quantity is not domain-sensitive.

Returns:
  domain mapper or null

### getDefaultDomainMapper

public uk.ac.starlink.table.DomainMapper getDefaultDomainMapper()
Returns the domain mapper that would be used if none was given, or null if the quantity is not domain-sensitive or if no obvious default suggests itself.

Returns:
  default domain mapper, or null